<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Details</title>
    </head>
    <body>
        {% block content %}
            <main>
                <div>
                    <h1>{{ todo_object.name }}</h1>
                    <h2>Tasks</h2>
                </div>
                <table>
                    <thead>
                        <tr>
                            <th>Task</th>
                            <th>Due Date</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for detail in todo_object.items.all %}
                            <tr>
                                <td>{{ detail.task }}</td>
                                <td>{{ detail.due_date }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </main>
        {% endblock content %}
    </body>
</html>
